Voicemails across every business line, newest first
GET
/v1/workspace/voicemails
const url = 'https://api.vocapable.com/v1/workspace/voicemails?state=open&mine=false&limit=25';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vocapable.com/v1/workspace/voicemails?state=open&mine=false&limit=25' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceVoicemails
object
data
required
Data
Array<object>
WorkspaceVoicemailobject
id
required
Id
string
status
required
Status
string
phone_number_id
required
Phone Number Id
string
line_e164
required
Line E164
string
caller
required
received_at
required
Received At
string format: date-time
source
required
Source
string
unread
required
Unread
boolean
handled
required
Handled
boolean
handled_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
assignee
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
revision
required
Revision
integer
unread
required
Unread
integer
viewer_user_id
required
Viewer User Id
string
has_more
required
Has More
boolean
Example
{ "data": [ { "status": "ready", "source": "waiting_line" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}